#include "Arduino.h"
#include "Kortexino.h"

Kortexino::Kortexino()
{
  //variables used for ble communication
  data_available=false;
  face_detected=false;
  face_distance=0;
  yaw_to_bot=0;
  pitch_to_bot=0;
  roll_to_bot=0;
  smile=0;
  tongue_out=0;
  kiss=0;
  mouth_open=0;
  wink_left=0;
  wink_right=0;
  brows_down=0;
  brows_up=0;
  teeth=0;
  eyes_wide=0;
  mouth_down=0;
  eyes_closed=0;
  compass=0;
  gyro_x = 0;
  gyro_y = 0;
  gyro_z = 0;
}

void Kortexino::read_data()
{
    //ble comunication read from iPhone app
    buf_len=Serial.readBytes(val, 14); 
    if(buf_len>13)
    {
      data_available=true;
      //ble comunication save incoming data package into variables
      if(val[0]==1 || val[0]==3)
        face_detected=true;
      else
        face_detected=false;
      face_distance=val[1];
      yaw_to_bot=val[2]-127;
      pitch_to_bot=val[3]-127;
      roll_to_bot=val[4]-127;
      compass=(int) ((float) val[5] * (float) 1.4117);
      if(val[0]<=1)
      {
        gyro_x=val[6]-100;
        gyro_y=val[7]-100;
        gyro_z=val[8]-100;
        smile=val[9];
        kiss=val[10];
        tongue_out=val[11];
        mouth_open=val[12];
        wink_left=val[13];
      }
      else
      {
        wink_right=val[6];
        brows_down=val[7];
        brows_up=val[8];
        teeth=val[9];
        eyes_wide=val[10];
        mouth_down=val[11]-100;
        eyes_closed=val[12]-100;
      }
    }
    else
    {
      data_available=false;
    }
}
